# Uses of Class
org.eclipse.ui.statushandlers.StatusAdapter

Packages that use StatusAdapter
Package
Description
org.eclipse.ui.internal
org.eclipse.ui.statushandlers
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of StatusAdapter in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type StatusAdapter
Modifier and Type
Method
Description
`void`
WorkbenchErrorHandlerProxy.`handle(StatusAdapter statusAdapter, int style)`

## Uses of StatusAdapter in org.eclipse.ui.statushandlers

Methods in org.eclipse.ui.statushandlers with parameters of type StatusAdapter
Modifier and Type
Method
Description
`void`
WorkbenchStatusDialogManager.`addStatusAdapter(StatusAdapter statusAdapter, boolean modal)`
Adds a new `StatusAdapter` to the status adapters list in the dialog.
`abstract Control`
AbstractStatusAreaProvider.`createSupportArea(Composite parent, StatusAdapter statusAdapter)`
Create an area for detailed support area as a child of the given parent.
`void`
StatusManager.`fireNotification(int type, StatusAdapter[] adapters)`
This method should be called by custom status handlers when an event occurs.
`abstract void`
AbstractStatusHandler.`handle(StatusAdapter statusAdapter, int style)`
Handles `StatusAdapter` objects based on the set style.
`void`
StatusManager.`handle(StatusAdapter statusAdapter)`
Handles the given status adapter.
`void`
StatusManager.`handle(StatusAdapter statusAdapter, int style)`
Handles the given status adapter due to the style.
`void`
WorkbenchErrorHandler.`handle(StatusAdapter statusAdapter, int style)`
`void`
StatusManager.INotificationListener.`statusManagerNotified(int type, StatusAdapter[] adapters)`
`boolean`
AbstractStatusAreaProvider.`validFor(StatusAdapter statusAdapter)`
This method is called before `AbstractStatusAreaProvider.createSupportArea(Composite, StatusAdapter)` to check if it will display any significant implementation.